SaaS Kit is Now Rails 5 Compatible

The Rails 5 release is good news to both experienced and amateur programmers. Some of the handiest new features are ActionCable and API mode which offer the possibility to have an API-only app or to include real-time features.

This version is without a doubt the best, most complete version of Rails yet.

Are you already on board? – We are!

Our team has been working on bringing you the best SaaS kit updates so you can take advantage of this new version.

Let’s go over the updates:

Gem Changes Enhances:

  • Updated activemerchant from 1.47.0 to 1.60.0
  • Updated documentation for Rails 5

Sample App Changes:

  • Use Rails 5
  • Removed inherited resources gem
  • Syntax fixed for some specs to be Rails 5 compatible

If you already have an existing application with Rails 5 and want to use the SaaS kit, here are a few steps you need to perform:

1.Update the SaaS kit gem version in your Gemfile to ‘3.2.1’ or newer and then bundle.

gem 'saas-kit', '~> 3.2.1'

2.If RailsAdmin is used as the admin engine, you need to specify github as the gem source and then bundle.

gem 'rails_admin', github: 'sferik/rails_admin'
gem 'remotipart', github: 'mshibuya/remotipart

If you’re building a Rails application from scratch, we highly recommend using the provided sample app as guidance. It will allow you to dive into the code in a smoother way.

Are you ready to get your license? We offer a Single Site License, very attractive to kickstart 3rd-party projects.

Are you an agency? We have a Multiple Site License for those who are looking to save development time for their products.

The RailsKits team is always happy to help, just send us your inquiries to info@railskits.com.

Leave a Reply

Your email address will not be published. Required fields are marked *